### Class

# EBackend CacheReaper

#### Description

    final class EBackend.CacheReaper : EDataServer.Extension
      implements EDataServer.Extensible {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- EExtension
- GObject

#### Implements

- EExtensible

#### Functions

###### e_cache_reaper_type_register

No description available.

#### Instance methods

###### e_cache_reaper_add_private_directory

Let’s the `cache_reaper` know about a private directory named `name`, thus it won’t delete it from cache or data directories. The `name` is just a directory name, not a path.

###### e_cache_reaper_remove_private_directory

Remove private directory named `name` from the list of private directories in the `cache_reaper`, previously added with e_cache_reaper_add_private_directory().

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from EExtensible (3)

###### e_extensible_list_extensions

Returns a list of `EExtension` objects bound to `extensible` whose types are ancestors of `extension_type`. For a complete list of extension objects bound to `extensible`, pass `E_TYPE_EXTENSION`.

###### e_extensible_load_extensions

Creates an instance of all instantiable subtypes of `EExtension` which target the class of `extensible`. The lifetimes of these newly created `EExtension` objects are bound to `extensible` such that they are finalized when `extensible` is finalized.

###### e_extensible_reload_extensions

Similar to e_extensible_load_extensions(), only loads newly discovered extensions again. This can help in case a new module had been loaded to the process, which provides the extensions for the `extensible`.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendCacheReaperClass {
      /* no available fields */
    }

No description available.